[neard][PATCH 5/8] ci: add ArchLinux container

Krzysztof Kozlowski <[email protected]>
Newsgroups dev.linux.lists.oe-linux-nfc,org.01.lists.linux-nfc
Message-ID <[email protected]>
Build in ArchLinux latest container.

Signed-off-by: Krzysztof Kozlowski <[email protected]>
---
 .github/workflows/ci.yml |  1 +
 ci/archlinux.sh          | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)
 create mode 100755 ci/archlinux.sh

diff --git a/.github/workflows/ci.yml b/.github/workflows/ci.yml
index cc977670e380..734969325692 100644
--- a/.github/workflows/ci.yml
+++ b/.github/workflows/ci.yml
@@ -23,6 +23,7 @@ jobs:
         compiler: [gcc, clang]
         container:
           - alpine:latest
+          - archlinux:latest
           - debian:testing
           - debian:stable
           # Fails on configure on GCC and clang (process restrictions?)
diff --git a/ci/archlinux.sh b/ci/archlinux.sh
new file mode 100755
index 000000000000..b08069ad2589
--- /dev/null
+++ b/ci/archlinux.sh
@@ -0,0 +1,30 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0
+#
+# Copyright (c) 2021 Canonical Ltd.
+# Author: Krzysztof Kozlowski <[email protected]>
+#                             <[email protected]>
+#
+
+set -ex
+
+PKGS_CC="gcc"
+case $CC in
+	clang*)
+		PKGS_CC="clang"
+	;;
+esac
+
+pacman -Sy --noconfirm \
+	autoconf \
+	autoconf-archive \
+	automake \
+	dbus \
+	glib2 \
+	libnl \
+	libtool \
+	make \
+	pkg-config \
+	$PKGS_CC
+
+echo "Install finished: $0"
-- 
2.30.2
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.